Subject: Re: bug#60198: 30.0.50; Eglot: Spelling error for vscode-json-languageserver

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Dec 2022 05:36:17 +0200

> From: Brian Leung <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 19 Dec 2022 23:07:51 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked]
> >> From: Brian Leung <[email-masked]>
> >> Date: Mon, 19 Dec 2022 12:42:54 +0000
> >> 
> >> Benjamin Orthen <[email-masked]> writes:
> >> 
> >> > In lisp/progmodes/eglot.el:192,
> >> > "vscode-json-languageserver"
> >> > (https://www.npmjs.com/package/vscode-json-languageserver) is 
> >> > spelled as "vscode-json-language-server",
> >> > which causes eglot to fail to find the executable.
> >> 
> >> It's not a spelling error;
> >> https://github.com/hrsh7th/vscode-langservers-extracted exposes 
> >> an
> >> executable with that name. If you happen to use Nix, the
> >> nodePackages.vscode-langservers-extracted provides additional
> >> executables for HTML, CSS, and more.
> >> 
> >> We could add vscode-json-languageserver as an additional 
> >> executable to eglot-server-programs.
> >
> > Is the same true for the other 2 servers we have in
> > eglot-server-programs?
> >
> > Thanks.
> 
> Yes, I've used those other two servers before via Eglot with no 
> further modifications.

I'm not sure I understand the answer.  I was asking whether the other
two also have two varieties.  If they do, I think we want to have both
in the DB.